NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Preferences::SessionModeling Class Reference

Represents the set of Modeling preferences applicable to entire session
To obtain an instance of this class, refer to NXOpen::Preferences::SessionPreferences

Created in NX3.0.0. More...

Public Types

enum  BodyTypeOption { BodyTypeOptionSolid, BodyTypeOptionSheet }
 Describes whether the body type is solid or sheet. More...
 
enum  BooleanFacePropertiesInheritance { BooleanFacePropertiesInheritanceTargetBody, BooleanFacePropertiesInheritanceToolBody }
 Describes whether the display of Boolean Face properties inherits from target body or tool body. More...
 
enum  CurveFitMethodType { CurveFitMethodTypeCubic, CurveFitMethodTypeQuintic, CurveFitMethodTypeAdvanced }
 Describes whether the Curve Fit Method type is selected as cubic or quintic or advanced. More...
 
enum  DeleteChildFeaturesOptionType { DeleteChildFeaturesOptionTypeYes = 1, DeleteChildFeaturesOptionTypeNo, DeleteChildFeaturesOptionTypeAsk }
 Options for controling delete child features, including recipe curves, of a feature being deleted. More...
 
enum  DynamicUpdateType { DynamicUpdateTypeNone, DynamicUpdateTypeIncremental, DynamicUpdateTypeContinuous }
 Describes whether the Dynamic Update type is not selected or selected as incremental or continuous. More...
 
enum  EndpointDisplayStyleType { EndpointDisplayStyleTypeOpenCircle, EndpointDisplayStyleTypeFilledCircle, EndpointDisplayStyleTypePlusSign, EndpointDisplayStyleTypeCross }
 Styles for display endpoints of curves. More...
 
enum  FreeFormConstructionResultType { FreeFormConstructionResultTypePlane, FreeFormConstructionResultTypeBSurface }
 Describes whether the Free Form Construction Result is plane or B Surface. More...
 
enum  ImmediateChildrenType { ImmediateChildrenTypeFirstLevel, ImmediateChildrenTypeAll }
 Describes whether the Immediate Children type is selected for first level or for all. More...
 
enum  LinkedAndExtractedGeometryPropertiesInheritance { LinkedAndExtractedGeometryPropertiesInheritanceParentObject, LinkedAndExtractedGeometryPropertiesInheritancePartDefault }
 Describes whether the display of linked and extracted geometry properties inherits from parent object or part default. More...
 
enum  NewFacePropertiesInheritance { NewFacePropertiesInheritanceBody, NewFacePropertiesInheritancePartDefault }
 Describes whether the display of New Face properties inherits from body or part default. More...
 
enum  PoleDisplayStyleType {
  PoleDisplayStyleTypeNone, PoleDisplayStyleTypeOpenCircle, PoleDisplayStyleTypeFilledCircle, PoleDisplayStyleTypePlusSign,
  PoleDisplayStyleTypeCross
}
 Styles for display poles of B curves and B surfaces. More...
 
enum  PoleEditStyleType {
  PoleEditStyleTypeSphere3d, PoleEditStyleTypeOpenCircle, PoleEditStyleTypeFilledCircle, PoleEditStyleTypePlusSign,
  PoleEditStyleTypeCross
}
 Styles for edit poles of B curves and B surfaces. More...
 
enum  PolylineStyleType {
  PolylineStyleTypeSolid = 1, PolylineStyleTypeDashed, PolylineStyleTypePhantom, PolylineStyleTypeCenterline,
  PolylineStyleTypeDotted, PolylineStyleTypeLongdashed, PolylineStyleTypeDotteddashed
}
 Styles for polylines of B curves and B surfaces. More...
 
enum  PreviewResolutionType {
  PreviewResolutionTypeNone, PreviewResolutionTypeCoarse, PreviewResolutionTypeStandard, PreviewResolutionTypeFine,
  PreviewResolutionTypeExtraFine, PreviewResolutionTypeSuperFine, PreviewResolutionTypeUltraFine
}
 Freeform preview resolutions. More...
 
enum  SaveDataForFeatureEditOption { SaveDataForFeatureEditOptionNone, SaveDataForFeatureEditOptionFastRollback, SaveDataForFeatureEditOptionFastRollbackAndPreviousStateOfFailedFeature }
 Options for controling what additional data needs to be saved in part file to enhance the feature edit. More...
 
enum  ShareGeometriesOnSaveType { ShareGeometriesOnSaveTypeDontShare, ShareGeometriesOnSaveTypeShare }
 Options for saving a part file with sharing of geometry data to reduce file size. More...
 
enum  SketchDefaultActionType { SketchDefaultActionTypeEditWithRollback, SketchDefaultActionTypeEdit }
 Double click action for sketches. More...
 
enum  SketchEditType { SketchEditTypeInTaskEnvironment, SketchEditTypeDirect }
 Edit option for sketches. More...
 
enum  SplineDefaultActionTypes { SplineDefaultActionTypesStudioSpline, SplineDefaultActionTypesXform }
 Specifies the command that should be invoked when double-clicking on a spline. More...
 
enum  SurfaceExtensionOption {
  SurfaceExtensionOptionLinear, SurfaceExtensionOptionSoft, SurfaceExtensionOptionReflective, SurfaceExtensionOptionNatural,
  SurfaceExtensionOptionArc
}
 Options for controling how surfaces will be extended while moving geometry. More...
 

Public Member Functions

int AccelerationColor ()
 Returns the acceleration color
Created in NX3.0.0. More...
 
bool ActivateFeatureGroupWithRollback ()
 Returns the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature
Created in NX8.5.0. More...
 
bool AllowEditingOfDimensionOfInternalSketch ()
 Returns the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g. More...
 
bool AssociativeEditFreeForm ()
 Returns the associative edit free form option. More...
 
NXOpen::Preferences::SessionModeling::BodyTypeOption BodyType ()
 Returns the body type. More...
 
NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance BooleanFaceProperties ()
 Returns the boolean face properties inheritance. More...
 
double ConvertAnalyticToConvergentAngularTolerance ()
 Returns the angular tolerance for converting analytic body to Convergent body
More...
 
double ConvertAnalyticToConvergentDistanceTolerance ()
 Returns the distance tolerance for converting analytic body to Convergent body
More...
 
int CurvatureColor ()
 Returns the curvature color
Created in NX3.0.0. More...
 
NXOpen::Preferences::SessionModeling::CurveFitMethodType CurveFitMethod ()
 Returns the curve fit method. More...
 
NXOpen::Preferences::SessionModeling::DeleteChildFeaturesOptionType DeleteChildFeaturesOption ()
 Returns the delete child features options
Created in NX12.0.0. More...
 
bool DisplayLegacyFeatureName ()
 Returns the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav
Created in NX4.0.0. More...
 
NXOpen::Preferences::SessionModeling::DynamicUpdateType DynamicUpdate ()
 Returns the dynamic update. More...
 
bool EditWithRollbackUponDoubleClick ()
 Returns the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow. More...
 
bool EnableTrimmedAnimation ()
 Returns the enable trimmed animation setting. More...
 
int EndpointDisplayColor ()
 Returns the color for display endpoints for curves. More...
 
bool EndpointDisplayInheritColor ()
 Returns the endpoint color inherit option, for display with curves. More...
 
NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType EndpointDisplayStyle ()
 Returns the style (2D disk, mark, etc.) of the endpoints for display of curves. More...
 
NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType FreeFormConstructionResult ()
 Returns the free form construction result. More...
 
NXOpen::Preferences::SessionModeling::ImmediateChildrenType ImmediateChildren ()
 Returns the immediate children. More...
 
bool InterruptUpdateOnError ()
 Returns the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback. More...
 
bool InterruptUpdateOnMissingReferences ()
 Returns the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback. More...
 
bool InterruptUpdateOnWarning ()
 Returns the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback. More...
 
NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance LinkedAndExtractedGeometryProperties ()
 Returns the linked and extracted geometry properties inheritance. More...
 
bool MakeCurrentOnError ()
 Returns the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback. More...
 
bool MakeDatumsInternal ()
 Returns the option specifying whether to automatically make the datums internal during the sketch creation. More...
 
bool MakeSketchesInternal ()
 Returns the option specifying whether to automatically make sketch internal during feature creation. More...
 
NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance NewFaceProperties ()
 Returns the new face properties inheritance. More...
 
bool NotifyOnDelete ()
 Returns the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features. More...
 
int PmarkFrequency ()
 Returns the features/mark. More...
 
int PoleDisplayColor ()
 Returns the color for display poles for B curves. More...
 
bool PoleDisplayInheritColor ()
 Returns the pole color inherit option, for display with B curves. More...
 
NXOpen::Preferences::SessionModeling::PoleDisplayStyleType PoleDisplayStyle ()
 Returns the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves. More...
 
int PoleEditColor ()
 Returns the color for editing poles for B curves and B surfaces. More...
 
bool PoleEditInheritColor ()
 Returns the pole color inherit option, for editing B curves and B surfaces. More...
 
NXOpen::Preferences::SessionModeling::PoleEditStyleType PoleEditStyle ()
 Returns the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces. More...
 
int PolylineDisplayColor ()
 Returns the color for display polylines for B curves and B surfaces
Created in NX7.5.0. More...
 
bool PolylineDisplayInheritColor ()
 Returns the polyline color inherit option, for display with B curves and B surfaces. More...
 
NXOpen::Preferences::SessionModeling::PolylineStyleType PolylineDisplayStyle ()
 Returns the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces. More...
 
int PolylineEditColor ()
 Returns the color for editing polylines for B curves and B surfaces. More...
 
bool PolylineEditInheritColor ()
 Returns the polyline color inherit option, for editing B curves and B surfaces. More...
 
NXOpen::Preferences::SessionModeling::PolylineStyleType PolylineEditStyle ()
 Returns the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces. More...
 
int PositionColor ()
 Returns the position color
Created in NX3.0.0. More...
 
NXOpen::Preferences::SessionModeling::PreviewResolutionType PreviewResolution ()
 Returns the preview resolution setting. More...
 
NXOpen::Preferences::SessionModeling::SaveDataForFeatureEditOption SaveDataForFeatureEdit ()
 Returns the option "Save Data for Feature Edit" specifies what additional data will be saved in the part to enhance feature edit. More...
 
bool SaveRollbackData ()
 Returns the option " Save Rollback Data " saves extra data with the part file for faster edits. More...
 
void SetAccelerationColor (int accelerationColor)
 Sets the acceleration color
Created in NX3.0.0. More...
 
void SetActivateFeatureGroupWithRollback (bool activateFeatureGroupWithRollback)
 Sets the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature
Created in NX8.5.0. More...
 
void SetAllowEditingOfDimensionOfInternalSketch (bool allowEditingOfDimensionOfInternalSketch)
 Sets the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g. More...
 
void SetAssociativeEditFreeForm (bool associativeEditFreeForm)
 Sets the associative edit free form option. More...
 
void SetBodyType (NXOpen::Preferences::SessionModeling::BodyTypeOption bodyType)
 Sets the body type. More...
 
void SetBooleanFaceProperties (NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance booleanFaceProperties)
 Sets the boolean face properties inheritance. More...
 
void SetConvertAnalyticToConvergentAngularTolerance (double dAnalyticToConvergentAngTol)
 Sets the angular tolerance for converting analytic body to Convergent body
More...
 
void SetConvertAnalyticToConvergentDistanceTolerance (double dAnalyticToConvergentDistTol)
 Sets the distance tolerance for converting analytic body to Convergent body
More...
 
void SetCurvatureColor (int curvatureColor)
 Sets the curvature color
Created in NX3.0.0. More...
 
void SetCurveFitMethod (NXOpen::Preferences::SessionModeling::CurveFitMethodType bodyType)
 Sets the curve fit method. More...
 
void SetDeleteChildFeaturesOption (NXOpen::Preferences::SessionModeling::DeleteChildFeaturesOptionType deleteChildFeatureOption)
 Sets the delete child features options
Created in NX12.0.0. More...
 
void SetDisplayLegacyFeatureName (bool displayLegacyFeatureName)
 Sets the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav
Created in NX4.0.0. More...
 
void SetDynamicUpdate (NXOpen::Preferences::SessionModeling::DynamicUpdateType dynamicUpdate)
 Sets the dynamic update. More...
 
void SetEditWithRollbackUponDoubleClick (bool defaultEditOption)
 Sets the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow. More...
 
void SetEnableTrimmedAnimation (bool enable)
 Sets the enable trimmed animation setting. More...
 
void SetEndpointDisplayColor (int endpointDisplayColor)
 Sets the color for display endpoints for curves. More...
 
void SetEndpointDisplayInheritColor (bool endpointDisplayInheritColor)
 Sets the endpoint color inherit option, for display with curves. More...
 
void SetEndpointDisplayStyle (NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType endpointDisplayStyle)
 Sets the style (2D disk, mark, etc.) of the endpoints for display of curves. More...
 
void SetFreeFormConstructionResult (NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType freeFormConstrResult)
 Sets the free form construction result. More...
 
void SetImmediateChildren (NXOpen::Preferences::SessionModeling::ImmediateChildrenType immediateChildren)
 Sets the immediate children. More...
 
void SetInterruptUpdateOnError (bool interruptOnError)
 Sets the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback. More...
 
void SetInterruptUpdateOnMissingReferences (bool interruptOnMissingReferences)
 Sets the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback. More...
 
void SetInterruptUpdateOnWarning (bool interruptOnWarning)
 Sets the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback. More...
 
void SetLinkedAndExtractedGeometryProperties (NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance linkedAndExtractedGeometryProperties)
 Sets the linked and extracted geometry properties inheritance. More...
 
void SetMakeCurrentOnError (bool currentOnError)
 Sets the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback. More...
 
void SetMakeDatumsInternal (bool makeDatumsInternal)
 Sets the option specifying whether to automatically make the datums internal during the sketch creation. More...
 
void SetMakeSketchesInternal (bool makeSketchesInternal)
 Sets the option specifying whether to automatically make sketch internal during feature creation. More...
 
void SetNewFaceProperties (NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance newFaceProperties)
 Sets the new face properties inheritance. More...
 
void SetNotifyOnDelete (bool notifyOnDelete)
 Sets the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features. More...
 
void SetPmarkFrequency (int pmarkFrequency)
 Sets the features/mark. More...
 
void SetPoleDisplayColor (int poleDisplayColor)
 Sets the color for display poles for B curves. More...
 
void SetPoleDisplayInheritColor (bool poleDisplayInheritColor)
 Sets the pole color inherit option, for display with B curves. More...
 
void SetPoleDisplayStyle (NXOpen::Preferences::SessionModeling::PoleDisplayStyleType poleDisplayStyle)
 Sets the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves. More...
 
void SetPoleEditColor (int poleEditColor)
 Sets the color for editing poles for B curves and B surfaces. More...
 
void SetPoleEditInheritColor (bool poleEditInheritColor)
 Sets the pole color inherit option, for editing B curves and B surfaces. More...
 
void SetPoleEditStyle (NXOpen::Preferences::SessionModeling::PoleEditStyleType poleEditStyle)
 Sets the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces. More...
 
void SetPolylineDisplayColor (int polylineDisplayColor)
 Sets the color for display polylines for B curves and B surfaces
Created in NX7.5.0. More...
 
void SetPolylineDisplayInheritColor (bool polylineDisplayInheritColor)
 Sets the polyline color inherit option, for display with B curves and B surfaces. More...
 
void SetPolylineDisplayStyle (NXOpen::Preferences::SessionModeling::PolylineStyleType polylineDisplayStyle)
 Sets the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces. More...
 
void SetPolylineEditColor (int polylineEditColor)
 Sets the color for editing polylines for B curves and B surfaces. More...
 
void SetPolylineEditInheritColor (bool polylineEditInheritColor)
 Sets the polyline color inherit option, for editing B curves and B surfaces. More...
 
void SetPolylineEditStyle (NXOpen::Preferences::SessionModeling::PolylineStyleType polylineEditStyle)
 Sets the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces. More...
 
void SetPositionColor (int positionColor)
 Sets the position color
Created in NX3.0.0. More...
 
void SetPreviewResolution (NXOpen::Preferences::SessionModeling::PreviewResolutionType resolution)
 Sets the preview resolution setting. More...
 
void SetSaveDataForFeatureEdit (NXOpen::Preferences::SessionModeling::SaveDataForFeatureEditOption saveDataForFeatureEdit)
 Sets the option "Save Data for Feature Edit" specifies what additional data will be saved in the part to enhance feature edit. More...
 
void SetSaveRollbackData (bool retainRollbackData)
 Sets the option " Save Rollback Data " saves extra data with the part file for faster edits. More...
 
void SetShareGeometriesOption (NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType shareGeometryOnSave)
 Sets the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not
Created in NX8.5.0. More...
 
void SetShowSimuationUiInModeling (bool showSimuationUiInModeling)
 Sets the option to specify whether simulation specific UI should show up in modeling
Created in NX7.5.0. More...
 
void SetSketchDefaultAction (NXOpen::Preferences::SessionModeling::SketchDefaultActionType sketchAction)
 Sets the sketch default action
Created in NX7.5.0. More...
 
void SetSketchEditOption (NXOpen::Preferences::SessionModeling::SketchEditType sketchEditOption)
 Sets the option that determines whether or not task environment is used to edit the sketch
Created in NX7.5.0. More...
 
void SetSplineDefaultActionType (NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes action)
 Sets the value indicating the default action for a spline. More...
 
void SetSurfaceExtension (NXOpen::Preferences::SessionModeling::SurfaceExtensionOption surfaceExtensionOption)
 Sets the surface extension option. More...
 
void SetTangentColor (int tangentColor)
 Sets the tangent color
Created in NX3.0.0. More...
 
void SetTreatOneDegreeBsplineAsPolyline (bool preference)
 Sets the option to treat single degree bspline as polyline
Created in NX10.0.0. More...
 
void SetUpdateDelayed (bool option)
 Sets the update delayed option. More...
 
void SetUpdateFailureReportPreference (bool updateFailureReport)
 Sets the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle. More...
 
void SetUpdatePending (bool option)
 Sets the update pending option. More...
 
void SetUseTriangularMesh (bool use)
 Sets the use triangular mesh setting setting. More...
 
NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType ShareGeometriesOption ()
 Returns the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not
Created in NX8.5.0. More...
 
bool ShowSimuationUiInModeling ()
 Returns the option to specify whether simulation specific UI should show up in modeling
Created in NX7.5.0. More...
 
NXOpen::Preferences::SessionModeling::SketchDefaultActionType SketchDefaultAction ()
 Returns the sketch default action
Created in NX7.5.0. More...
 
NXOpen::Preferences::SessionModeling::SketchEditType SketchEditOption ()
 Returns the option that determines whether or not task environment is used to edit the sketch
Created in NX7.5.0. More...
 
NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes SplineDefaultActionType ()
 Returns the value indicating the default action for a spline. More...
 
NXOpen::Preferences::SessionModeling::SurfaceExtensionOption SurfaceExtension ()
 Returns the surface extension option. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 
int TangentColor ()
 Returns the tangent color
Created in NX3.0.0. More...
 
bool TreatOneDegreeBsplineAsPolyline ()
 Returns the option to treat single degree bspline as polyline
Created in NX10.0.0. More...
 
bool UpdateDelayed ()
 Returns the update delayed option. More...
 
bool UpdateFailureReportPreference ()
 Returns the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle. More...
 
bool UpdatePending ()
 Returns the update pending option. More...
 
bool UseTriangularMesh ()
 Returns the use triangular mesh setting setting. More...
 

Detailed Description

Represents the set of Modeling preferences applicable to entire session
To obtain an instance of this class, refer to NXOpen::Preferences::SessionPreferences

Created in NX3.0.0.


Member Enumeration Documentation

Describes whether the body type is solid or sheet.

Enumerator
BodyTypeOptionSolid 

Indicates Body Type is solid.

BodyTypeOptionSheet 

Indicates Body Type is solid.

Describes whether the display of Boolean Face properties inherits from target body or tool body.

Enumerator
BooleanFacePropertiesInheritanceTargetBody 

Indicates that display of boolean face properties inherits from target body.

BooleanFacePropertiesInheritanceToolBody 

Indicates that display of boolean face properties inherits from tool body.

Describes whether the Curve Fit Method type is selected as cubic or quintic or advanced.

Enumerator
CurveFitMethodTypeCubic 

Indicates the Curve Fit Method type is cubic.

CurveFitMethodTypeQuintic 

Indicates the Curve Fit Method type is quintic.

CurveFitMethodTypeAdvanced 

Indicates the Curve Fit Method type is advanced.

Options for controling delete child features, including recipe curves, of a feature being deleted.

Enumerator
DeleteChildFeaturesOptionTypeYes 

Delete child features including recipe curves, of a feature being deleted.

DeleteChildFeaturesOptionTypeNo 

Do not delete child features of feature being deleted.

DeleteChildFeaturesOptionTypeAsk 

Ask user "Do you want to delete child features?".

Describes whether the Dynamic Update type is not selected or selected as incremental or continuous.

Enumerator
DynamicUpdateTypeNone 

Indicates that Dynamic Update type is not selected, this option is deprecated from NX12.0.

DynamicUpdateTypeIncremental 

Indicates that Dynamic Update type is incremental.

DynamicUpdateTypeContinuous 

Indicates that Dynamic Update type is continuous.

Styles for display endpoints of curves.

Enumerator
EndpointDisplayStyleTypeOpenCircle 

open circle

EndpointDisplayStyleTypeFilledCircle 

filled circle

EndpointDisplayStyleTypePlusSign 

plus sign

EndpointDisplayStyleTypeCross 

cross

Describes whether the Free Form Construction Result is plane or B Surface.

Enumerator
FreeFormConstructionResultTypePlane 

Indicates the construction result option is plane.

FreeFormConstructionResultTypeBSurface 

Indicates the construction result option is B Surface.

Describes whether the Immediate Children type is selected for first level or for all.

Enumerator
ImmediateChildrenTypeFirstLevel 

Indicates that Immediate Children type is at first level.

ImmediateChildrenTypeAll 

Indicates that Immediate Children type is at all level.

Describes whether the display of linked and extracted geometry properties inherits from parent object or part default.

Enumerator
LinkedAndExtractedGeometryPropertiesInheritanceParentObject 

Indicates that display of linked and extracted geometry properties inherits from parent object.

LinkedAndExtractedGeometryPropertiesInheritancePartDefault 

Indicates that display of linked and extracted geometry properties inherits from part default.

Describes whether the display of New Face properties inherits from body or part default.

Enumerator
NewFacePropertiesInheritanceBody 

Indicates that display of new face properties inherits from body.

NewFacePropertiesInheritancePartDefault 

Indicates that display of new face properties inherits from part default.

Styles for display poles of B curves and B surfaces.

Enumerator
PoleDisplayStyleTypeNone 

none

PoleDisplayStyleTypeOpenCircle 

open circle

PoleDisplayStyleTypeFilledCircle 

filled circle

PoleDisplayStyleTypePlusSign 

plus sign

PoleDisplayStyleTypeCross 

cross

Styles for edit poles of B curves and B surfaces.

Enumerator
PoleEditStyleTypeSphere3d 

sphere3d

PoleEditStyleTypeOpenCircle 

open circle

PoleEditStyleTypeFilledCircle 

filled circle

PoleEditStyleTypePlusSign 

plus sign

PoleEditStyleTypeCross 

cross

Styles for polylines of B curves and B surfaces.

Enumerator
PolylineStyleTypeSolid 

solid

PolylineStyleTypeDashed 

dashed

PolylineStyleTypePhantom 

phantom

PolylineStyleTypeCenterline 

centerline

PolylineStyleTypeDotted 

dotted

PolylineStyleTypeLongdashed 

longdashed

PolylineStyleTypeDotteddashed 

dotteddashed

Freeform preview resolutions.

Enumerator
PreviewResolutionTypeNone 

none

PreviewResolutionTypeCoarse 

coarse

PreviewResolutionTypeStandard 

standard

PreviewResolutionTypeFine 

fine

PreviewResolutionTypeExtraFine 

extra fine

PreviewResolutionTypeSuperFine 

super fine

PreviewResolutionTypeUltraFine 

ultra fine

Options for controling what additional data needs to be saved in part file to enhance the feature edit.

Enumerator
SaveDataForFeatureEditOptionNone 

Indicates the no additional data is saved.

SaveDataForFeatureEditOptionFastRollback 

Indicates the additional parasolid data is saved for faster rollback.

SaveDataForFeatureEditOptionFastRollbackAndPreviousStateOfFailedFeature 

Indicates the additional parasolid data is saved for faster rollback and to show the previous state of failed feature.

Options for saving a part file with sharing of geometry data to reduce file size.

Enumerator
ShareGeometriesOnSaveTypeDontShare 

dont share

ShareGeometriesOnSaveTypeShare 

share

Double click action for sketches.

Enumerator
SketchDefaultActionTypeEditWithRollback 

Edit sketch with rollback on double click.

SketchDefaultActionTypeEdit 

Edit sketch without rollback on double click.

Edit option for sketches.

Enumerator
SketchEditTypeInTaskEnvironment 

Edit sketch in task environment.

SketchEditTypeDirect 

Edit sketch without entering task environment.

Specifies the command that should be invoked when double-clicking on a spline.

The option applies to non-associative splines and Studio Spline features in the Shape Studio application only.
Created in NX7.0.0.

Enumerator
SplineDefaultActionTypesStudioSpline 

Specifies Studio Spline for editing a spline.

SplineDefaultActionTypesXform 

Specifies X-form for editing a spline.

Options for controling how surfaces will be extended while moving geometry.

Enumerator
SurfaceExtensionOptionLinear 

linear

SurfaceExtensionOptionSoft 

soft

SurfaceExtensionOptionReflective 

reflective

SurfaceExtensionOptionNatural 

natural

SurfaceExtensionOptionArc 

arc

Member Function Documentation

int NXOpen::Preferences::SessionModeling::AccelerationColor ( )

Returns the acceleration color
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::SessionModeling::ActivateFeatureGroupWithRollback ( )

Returns the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature
Created in NX8.5.0.



License requirements : None

bool NXOpen::Preferences::SessionModeling::AllowEditingOfDimensionOfInternalSketch ( )

Returns the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g.

Extrude, Revolve, Hole etc.) is active which allows editing on an internal sketch.
Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::AssociativeEditFreeForm ( )

Returns the associative edit free form option.

Specify whether the output of editing certain free form features remain as free form features or as unparameterized features.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::BodyTypeOption NXOpen::Preferences::SessionModeling::BodyType ( )

Returns the body type.

Toggles between Solid and Sheet. When creating bodies through curves, the Body Type option provides control to the type of body (for example, solid body vs. sheet body) that is created.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance NXOpen::Preferences::SessionModeling::BooleanFaceProperties ( )

Returns the boolean face properties inheritance.

Specifies whether the boolean face properties inherit from target body or tool body
Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::SessionModeling::ConvertAnalyticToConvergentAngularTolerance ( )

Returns the angular tolerance for converting analytic body to Convergent body

Deprecated:
Deprecated in NX12.0.0.

Use NXOpen::Preferences::PartModeling::ConvertAnalyticToConvergentAngularTolerance instead.


Created in NX11.0.0.

License requirements : None

double NXOpen::Preferences::SessionModeling::ConvertAnalyticToConvergentDistanceTolerance ( )

Returns the distance tolerance for converting analytic body to Convergent body

Deprecated:
Deprecated in NX12.0.0.

Use NXOpen::Preferences::PartModeling::ConvertAnalyticToConvergentDistanceTolerance instead.


Created in NX11.0.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::CurvatureColor ( )

Returns the curvature color
Created in NX3.0.0.



License requirements : None

NXOpen::Preferences::SessionModeling::CurveFitMethodType NXOpen::Preferences::SessionModeling::CurveFitMethod ( )

Returns the curve fit method.

Controls the fitting method used when curves must be approximated by splines.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::DeleteChildFeaturesOptionType NXOpen::Preferences::SessionModeling::DeleteChildFeaturesOption ( )

Returns the delete child features options
Created in NX12.0.0.



License requirements : None

bool NXOpen::Preferences::SessionModeling::DisplayLegacyFeatureName ( )

Returns the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav
Created in NX4.0.0.



License requirements : None

NXOpen::Preferences::SessionModeling::DynamicUpdateType NXOpen::Preferences::SessionModeling::DynamicUpdate ( )

Returns the dynamic update.

Specifies that the system dynamically displays in real time with each updation of parent curves, splines, bridge curves, lines or arcs
Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::EditWithRollbackUponDoubleClick ( )

Returns the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow.

if the option is true then edit with rollback will be happen upon Double-click. if the option is false then the previous default action will be executed
Created in NX4.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::EnableTrimmedAnimation ( )

Returns the enable trimmed animation setting.


Created in NX4.0.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::EndpointDisplayColor ( )

Returns the color for display endpoints for curves.


Created in NX8.5.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::EndpointDisplayInheritColor ( )

Returns the endpoint color inherit option, for display with curves.


Created in NX8.5.0.

License requirements : None

NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType NXOpen::Preferences::SessionModeling::EndpointDisplayStyle ( )

Returns the style (2D disk, mark, etc.) of the endpoints for display of curves.


Created in NX8.5.0.

License requirements : None

NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType NXOpen::Preferences::SessionModeling::FreeFormConstructionResult ( )

Returns the free form construction result.

Controls free form feature creation when using the Through Curves, Through Curve Mesh, Swept, and Ruled options.
Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::ImmediateChildrenType NXOpen::Preferences::SessionModeling::ImmediateChildren ( )

Returns the immediate children.

Specifies to which level the dynamic updation is applicable.
Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::InterruptUpdateOnError ( )

Returns the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::InterruptUpdateOnMissingReferences ( )

Returns the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::InterruptUpdateOnWarning ( )

Returns the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryProperties ( )

Returns the linked and extracted geometry properties inheritance.

Specifies whether linked and extracted geometry properties inherits from parent object or part default
Created in NX6.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::MakeCurrentOnError ( )

Returns the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback.

If the option is true then the error feature will be made current. If the option is false then the error feature will not be made current feature during feature update.
Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::MakeDatumsInternal ( )

Returns the option specifying whether to automatically make the datums internal during the sketch creation.

If the option is true then datums are automatically made internal to child sketches, else datums are not automatically made internal to child sketches.
Created in NX7.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::MakeSketchesInternal ( )

Returns the option specifying whether to automatically make sketch internal during feature creation.

If the option is true then external sketches are automatically made internal to child features, else external sketches are not automatically made internal to child features.
Created in NX7.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance NXOpen::Preferences::SessionModeling::NewFaceProperties ( )

Returns the new face properties inheritance.

Specifies whether new face properties inherits from body or part default
Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::NotifyOnDelete ( )

Returns the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features.

if the option is true then it popup a notification message. if the option is false then it will not popup any notification message
Created in NX4.0.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::PmarkFrequency ( )

Returns the features/mark.

Controls how often, during feature creation and editing, the system sets internal marks used in updating. A Features/Mark value of 5, for example, means that one mark will be set after five features are created or edited.

Deprecated:
Deprecated in NX12.0.0. No replacement. One pmark will be set after each feature.


Created in NX3.0.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::PoleDisplayColor ( )

Returns the color for display poles for B curves.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::PoleDisplayInheritColor ( )

Returns the pole color inherit option, for display with B curves.


Created in NX7.5.0.

License requirements : None

NXOpen::Preferences::SessionModeling::PoleDisplayStyleType NXOpen::Preferences::SessionModeling::PoleDisplayStyle ( )

Returns the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves.


Created in NX7.5.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::PoleEditColor ( )

Returns the color for editing poles for B curves and B surfaces.


Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::PoleEditInheritColor ( )

Returns the pole color inherit option, for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

NXOpen::Preferences::SessionModeling::PoleEditStyleType NXOpen::Preferences::SessionModeling::PoleEditStyle ( )

Returns the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::PolylineDisplayColor ( )

Returns the color for display polylines for B curves and B surfaces
Created in NX7.5.0.



License requirements : None

bool NXOpen::Preferences::SessionModeling::PolylineDisplayInheritColor ( )

Returns the polyline color inherit option, for display with B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

NXOpen::Preferences::SessionModeling::PolylineStyleType NXOpen::Preferences::SessionModeling::PolylineDisplayStyle ( )

Returns the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::PolylineEditColor ( )

Returns the color for editing polylines for B curves and B surfaces.


Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::PolylineEditInheritColor ( )

Returns the polyline color inherit option, for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

NXOpen::Preferences::SessionModeling::PolylineStyleType NXOpen::Preferences::SessionModeling::PolylineEditStyle ( )

Returns the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

int NXOpen::Preferences::SessionModeling::PositionColor ( )

Returns the position color
Created in NX3.0.0.



License requirements : None

NXOpen::Preferences::SessionModeling::PreviewResolutionType NXOpen::Preferences::SessionModeling::PreviewResolution ( )

Returns the preview resolution setting.


Created in NX4.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::SaveDataForFeatureEditOption NXOpen::Preferences::SessionModeling::SaveDataForFeatureEdit ( )

Returns the option "Save Data for Feature Edit" specifies what additional data will be saved in the part to enhance feature edit.

Rollback data improves feature edit performance. Previous state data is a copy of a face or body input to a feature for visual reference while editing a failed feature.
Created in NX10.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::SaveRollbackData ( )

Returns the option " Save Rollback Data " saves extra data with the part file for faster edits.

This option has been deprecated. Use "Save Data for Feature Edit" instead of it.

Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Preferences::SessionModeling::SaveDataForFeatureEdit instead.


Created in NX5.0.0.

License requirements : None

void NXOpen::Preferences::SessionModeling::SetAccelerationColor ( int  accelerationColor)

Sets the acceleration color
Created in NX3.0.0.



License requirements : None

Parameters
accelerationColoracceleration color
void NXOpen::Preferences::SessionModeling::SetActivateFeatureGroupWithRollback ( bool  activateFeatureGroupWithRollback)

Sets the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature
Created in NX8.5.0.



License requirements : None

Parameters
activateFeatureGroupWithRollbackactivatefeaturegroupwithrollback
void NXOpen::Preferences::SessionModeling::SetAllowEditingOfDimensionOfInternalSketch ( bool  allowEditingOfDimensionOfInternalSketch)

Sets the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.g.

Extrude, Revolve, Hole etc.) is active which allows editing on an internal sketch.
Created in NX7.5.0.

License requirements : None

Parameters
allowEditingOfDimensionOfInternalSketchallow sketch dim edit of internal sketch preference
void NXOpen::Preferences::SessionModeling::SetAssociativeEditFreeForm ( bool  associativeEditFreeForm)

Sets the associative edit free form option.

Specify whether the output of editing certain free form features remain as free form features or as unparameterized features.
Created in NX3.0.0.

License requirements : None

Parameters
associativeEditFreeFormassociative edit free form
void NXOpen::Preferences::SessionModeling::SetBodyType ( NXOpen::Preferences::SessionModeling::BodyTypeOption  bodyType)

Sets the body type.

Toggles between Solid and Sheet. When creating bodies through curves, the Body Type option provides control to the type of body (for example, solid body vs. sheet body) that is created.
Created in NX3.0.0.

License requirements : None

Parameters
bodyTypebody type
void NXOpen::Preferences::SessionModeling::SetBooleanFaceProperties ( NXOpen::Preferences::SessionModeling::BooleanFacePropertiesInheritance  booleanFaceProperties)

Sets the boolean face properties inheritance.

Specifies whether the boolean face properties inherit from target body or tool body
Created in NX3.0.0.

License requirements : None

Parameters
booleanFacePropertiesboolean face properties
void NXOpen::Preferences::SessionModeling::SetConvertAnalyticToConvergentAngularTolerance ( double  dAnalyticToConvergentAngTol)

Sets the angular tolerance for converting analytic body to Convergent body

Deprecated:
Deprecated in NX12.0.0.

Use NXOpen::Preferences::PartModeling::ConvertAnalyticToConvergentAngularTolerance instead.


Created in NX11.0.0.

License requirements : None

Parameters
dAnalyticToConvergentAngTolangular tolerance for converting analytic body to Convergent body
void NXOpen::Preferences::SessionModeling::SetConvertAnalyticToConvergentDistanceTolerance ( double  dAnalyticToConvergentDistTol)

Sets the distance tolerance for converting analytic body to Convergent body

Deprecated:
Deprecated in NX12.0.0.

Use NXOpen::Preferences::PartModeling::ConvertAnalyticToConvergentDistanceTolerance instead.


Created in NX11.0.0.

License requirements : None

Parameters
dAnalyticToConvergentDistToldistance tolerance for converting analytic body to Convergent body
void NXOpen::Preferences::SessionModeling::SetCurvatureColor ( int  curvatureColor)

Sets the curvature color
Created in NX3.0.0.



License requirements : None

Parameters
curvatureColorcurvature color
void NXOpen::Preferences::SessionModeling::SetCurveFitMethod ( NXOpen::Preferences::SessionModeling::CurveFitMethodType  bodyType)

Sets the curve fit method.

Controls the fitting method used when curves must be approximated by splines.
Created in NX3.0.0.

License requirements : None

Parameters
bodyTypebody type
void NXOpen::Preferences::SessionModeling::SetDeleteChildFeaturesOption ( NXOpen::Preferences::SessionModeling::DeleteChildFeaturesOptionType  deleteChildFeatureOption)

Sets the delete child features options
Created in NX12.0.0.



License requirements : None

Parameters
deleteChildFeatureOptiondelete child features option
void NXOpen::Preferences::SessionModeling::SetDisplayLegacyFeatureName ( bool  displayLegacyFeatureName)

Sets the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav
Created in NX4.0.0.



License requirements : None

Parameters
displayLegacyFeatureNamepreference to display_legacy_feature_name
void NXOpen::Preferences::SessionModeling::SetDynamicUpdate ( NXOpen::Preferences::SessionModeling::DynamicUpdateType  dynamicUpdate)

Sets the dynamic update.

Specifies that the system dynamically displays in real time with each updation of parent curves, splines, bridge curves, lines or arcs
Created in NX3.0.0.

License requirements : None

Parameters
dynamicUpdatedynamic update
void NXOpen::Preferences::SessionModeling::SetEditWithRollbackUponDoubleClick ( bool  defaultEditOption)

Sets the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow.

if the option is true then edit with rollback will be happen upon Double-click. if the option is false then the previous default action will be executed
Created in NX4.0.0.

License requirements : None

Parameters
defaultEditOptionpreference to Edit with Rollback upon Double-Click
void NXOpen::Preferences::SessionModeling::SetEnableTrimmedAnimation ( bool  enable)

Sets the enable trimmed animation setting.


Created in NX4.0.0.

License requirements : None

Parameters
enableenable
void NXOpen::Preferences::SessionModeling::SetEndpointDisplayColor ( int  endpointDisplayColor)

Sets the color for display endpoints for curves.


Created in NX7.5.0.

License requirements : None

Parameters
endpointDisplayColorendpoint display color
void NXOpen::Preferences::SessionModeling::SetEndpointDisplayInheritColor ( bool  endpointDisplayInheritColor)

Sets the endpoint color inherit option, for display with curves.


Created in NX8.5.0.

License requirements : None

Parameters
endpointDisplayInheritColorendpoint display inherit color
void NXOpen::Preferences::SessionModeling::SetEndpointDisplayStyle ( NXOpen::Preferences::SessionModeling::EndpointDisplayStyleType  endpointDisplayStyle)

Sets the style (2D disk, mark, etc.) of the endpoints for display of curves.


Created in NX8.5.0.

License requirements : None

Parameters
endpointDisplayStyleendpoint display style
void NXOpen::Preferences::SessionModeling::SetFreeFormConstructionResult ( NXOpen::Preferences::SessionModeling::FreeFormConstructionResultType  freeFormConstrResult)

Sets the free form construction result.

Controls free form feature creation when using the Through Curves, Through Curve Mesh, Swept, and Ruled options.
Created in NX3.0.0.

License requirements : None

Parameters
freeFormConstrResultfree form constr result
void NXOpen::Preferences::SessionModeling::SetImmediateChildren ( NXOpen::Preferences::SessionModeling::ImmediateChildrenType  immediateChildren)

Sets the immediate children.

Specifies to which level the dynamic updation is applicable.
Created in NX3.0.0.

License requirements : None

Parameters
immediateChildrenimmediate children
void NXOpen::Preferences::SessionModeling::SetInterruptUpdateOnError ( bool  interruptOnError)

Sets the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.

License requirements : None

Parameters
interruptOnErrorpreference to Interrupt Update on Error
void NXOpen::Preferences::SessionModeling::SetInterruptUpdateOnMissingReferences ( bool  interruptOnMissingReferences)

Sets the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX7.5.0.

License requirements : None

Parameters
interruptOnMissingReferencespreference to Interrupt Update on Missing References
void NXOpen::Preferences::SessionModeling::SetInterruptUpdateOnWarning ( bool  interruptOnWarning)

Sets the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.
Created in NX5.0.0.

License requirements : None

Parameters
interruptOnWarningpreference to Interrupt Update on Warning
void NXOpen::Preferences::SessionModeling::SetLinkedAndExtractedGeometryProperties ( NXOpen::Preferences::SessionModeling::LinkedAndExtractedGeometryPropertiesInheritance  linkedAndExtractedGeometryProperties)

Sets the linked and extracted geometry properties inheritance.

Specifies whether linked and extracted geometry properties inherits from parent object or part default
Created in NX6.0.0.

License requirements : None

Parameters
linkedAndExtractedGeometryPropertieslinked and extracted geometry properties
void NXOpen::Preferences::SessionModeling::SetMakeCurrentOnError ( bool  currentOnError)

Sets the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback.

If the option is true then the error feature will be made current. If the option is false then the error feature will not be made current feature during feature update.
Created in NX7.5.0.

License requirements : None

Parameters
currentOnErrorpreference to Make Error Feature Current on Error
void NXOpen::Preferences::SessionModeling::SetMakeDatumsInternal ( bool  makeDatumsInternal)

Sets the option specifying whether to automatically make the datums internal during the sketch creation.

If the option is true then datums are automatically made internal to child sketches, else datums are not automatically made internal to child sketches.
Created in NX7.0.0.

License requirements : None

Parameters
makeDatumsInternalFlag indicating whether to make datums internal
void NXOpen::Preferences::SessionModeling::SetMakeSketchesInternal ( bool  makeSketchesInternal)

Sets the option specifying whether to automatically make sketch internal during feature creation.

If the option is true then external sketches are automatically made internal to child features, else external sketches are not automatically made internal to child features.
Created in NX7.0.0.

License requirements : None

Parameters
makeSketchesInternalFlag indicating whether to make sketches internal
void NXOpen::Preferences::SessionModeling::SetNewFaceProperties ( NXOpen::Preferences::SessionModeling::NewFacePropertiesInheritance  newFaceProperties)

Sets the new face properties inheritance.

Specifies whether new face properties inherits from body or part default
Created in NX3.0.0.

License requirements : None

Parameters
newFacePropertiesnew face properties
void NXOpen::Preferences::SessionModeling::SetNotifyOnDelete ( bool  notifyOnDelete)

Sets the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features.

if the option is true then it popup a notification message. if the option is false then it will not popup any notification message
Created in NX4.0.0.

License requirements : None

Parameters
notifyOnDeletepreference to Notify on Delete
void NXOpen::Preferences::SessionModeling::SetPmarkFrequency ( int  pmarkFrequency)

Sets the features/mark.

Controls how often, during feature creation and editing, the system sets internal marks used in updating. A Features/Mark value of 5, for example, means that one mark will be set after five features are created or edited.

Deprecated:
Deprecated in NX12.0.0. No replacement. One pmark will be set after each feature.


Created in NX3.0.0.

License requirements : None

Parameters
pmarkFrequencypmark frequency
void NXOpen::Preferences::SessionModeling::SetPoleDisplayColor ( int  poleDisplayColor)

Sets the color for display poles for B curves.


Created in NX7.5.0.

License requirements : None

Parameters
poleDisplayColorpole display color
void NXOpen::Preferences::SessionModeling::SetPoleDisplayInheritColor ( bool  poleDisplayInheritColor)

Sets the pole color inherit option, for display with B curves.


Created in NX7.5.0.

License requirements : None

Parameters
poleDisplayInheritColorpole display inherit color
void NXOpen::Preferences::SessionModeling::SetPoleDisplayStyle ( NXOpen::Preferences::SessionModeling::PoleDisplayStyleType  poleDisplayStyle)

Sets the style (3D ball, 2D disk, mark, etc.) of the poles for display of B curves.


Created in NX7.5.0.

License requirements : None

Parameters
poleDisplayStylepole display style
void NXOpen::Preferences::SessionModeling::SetPoleEditColor ( int  poleEditColor)

Sets the color for editing poles for B curves and B surfaces.


Created in NX3.0.0.

License requirements : None

Parameters
poleEditColorpole edit color
void NXOpen::Preferences::SessionModeling::SetPoleEditInheritColor ( bool  poleEditInheritColor)

Sets the pole color inherit option, for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

Parameters
poleEditInheritColorpole edit inherit color
void NXOpen::Preferences::SessionModeling::SetPoleEditStyle ( NXOpen::Preferences::SessionModeling::PoleEditStyleType  poleEditStyle)

Sets the style (3D ball, 2D disk, mark, etc.) of the poles for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

Parameters
poleEditStylepole edit style
void NXOpen::Preferences::SessionModeling::SetPolylineDisplayColor ( int  polylineDisplayColor)

Sets the color for display polylines for B curves and B surfaces
Created in NX7.5.0.



License requirements : None

Parameters
polylineDisplayColorpolyline display color
void NXOpen::Preferences::SessionModeling::SetPolylineDisplayInheritColor ( bool  polylineDisplayInheritColor)

Sets the polyline color inherit option, for display with B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

Parameters
polylineDisplayInheritColorpolyline display inherit color
void NXOpen::Preferences::SessionModeling::SetPolylineDisplayStyle ( NXOpen::Preferences::SessionModeling::PolylineStyleType  polylineDisplayStyle)

Sets the style (solid, dashed, etc.) of the polylines display for B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

Parameters
polylineDisplayStylepolyline display style
void NXOpen::Preferences::SessionModeling::SetPolylineEditColor ( int  polylineEditColor)

Sets the color for editing polylines for B curves and B surfaces.


Created in NX3.0.0.

License requirements : None

Parameters
polylineEditColorpolyline edit color
void NXOpen::Preferences::SessionModeling::SetPolylineEditInheritColor ( bool  polylineEditInheritColor)

Sets the polyline color inherit option, for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

Parameters
polylineEditInheritColorpolyline edit inherit color
void NXOpen::Preferences::SessionModeling::SetPolylineEditStyle ( NXOpen::Preferences::SessionModeling::PolylineStyleType  polylineEditStyle)

Sets the style (solid, dashed, etc.) of the polylines for editing B curves and B surfaces.


Created in NX7.5.0.

License requirements : None

Parameters
polylineEditStylepolyline edit style
void NXOpen::Preferences::SessionModeling::SetPositionColor ( int  positionColor)

Sets the position color
Created in NX3.0.0.



License requirements : None

Parameters
positionColorposition color
void NXOpen::Preferences::SessionModeling::SetPreviewResolution ( NXOpen::Preferences::SessionModeling::PreviewResolutionType  resolution)

Sets the preview resolution setting.


Created in NX4.0.0.

License requirements : None

Parameters
resolutionresolution
void NXOpen::Preferences::SessionModeling::SetSaveDataForFeatureEdit ( NXOpen::Preferences::SessionModeling::SaveDataForFeatureEditOption  saveDataForFeatureEdit)

Sets the option "Save Data for Feature Edit" specifies what additional data will be saved in the part to enhance feature edit.

Rollback data improves feature edit performance. Previous state data is a copy of a face or body input to a feature for visual reference while editing a failed feature.
Created in NX10.0.0.

License requirements : None

Parameters
saveDataForFeatureEditpreference to save data for feature edit
void NXOpen::Preferences::SessionModeling::SetSaveRollbackData ( bool  retainRollbackData)

Sets the option " Save Rollback Data " saves extra data with the part file for faster edits.

This option has been deprecated. Use "Save Data for Feature Edit" instead of it.

Deprecated:
Deprecated in NX10.0.0. Use NXOpen::Preferences::SessionModeling::SetSaveDataForFeatureEdit instead.


Created in NX5.0.0.

License requirements : None

Parameters
retainRollbackDatapreference to retain rollback data
void NXOpen::Preferences::SessionModeling::SetShareGeometriesOption ( NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType  shareGeometryOnSave)

Sets the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not
Created in NX8.5.0.



License requirements : None

Parameters
shareGeometryOnSavepreference to share geometries on save
void NXOpen::Preferences::SessionModeling::SetShowSimuationUiInModeling ( bool  showSimuationUiInModeling)

Sets the option to specify whether simulation specific UI should show up in modeling
Created in NX7.5.0.



License requirements : None

Parameters
showSimuationUiInModelingallow simulation specific UI in modeling
void NXOpen::Preferences::SessionModeling::SetSketchDefaultAction ( NXOpen::Preferences::SessionModeling::SketchDefaultActionType  sketchAction)

Sets the sketch default action
Created in NX7.5.0.



License requirements : None

Parameters
sketchActiondefault action on sketches
void NXOpen::Preferences::SessionModeling::SetSketchEditOption ( NXOpen::Preferences::SessionModeling::SketchEditType  sketchEditOption)

Sets the option that determines whether or not task environment is used to edit the sketch
Created in NX7.5.0.



License requirements : None

Parameters
sketchEditOptionedit option on sketches
void NXOpen::Preferences::SessionModeling::SetSplineDefaultActionType ( NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes  action)

Sets the value indicating the default action for a spline.


Created in NX7.0.0.

License requirements : None

Parameters
actionaction
void NXOpen::Preferences::SessionModeling::SetSurfaceExtension ( NXOpen::Preferences::SessionModeling::SurfaceExtensionOption  surfaceExtensionOption)

Sets the surface extension option.

Controls how surfaces will be extended while moving geometry
Created in NX9.0.0.

License requirements : None

Parameters
surfaceExtensionOptionSurface extension option
void NXOpen::Preferences::SessionModeling::SetTangentColor ( int  tangentColor)

Sets the tangent color
Created in NX3.0.0.



License requirements : None

Parameters
tangentColortangent color
void NXOpen::Preferences::SessionModeling::SetTreatOneDegreeBsplineAsPolyline ( bool  preference)

Sets the option to treat single degree bspline as polyline
Created in NX10.0.0.



License requirements : None

Parameters
preferenceFlag if set to true will allow treatment of single degree bspline as polyline
void NXOpen::Preferences::SessionModeling::SetUpdateDelayed ( bool  option)

Sets the update delayed option.

If the option is true, then an edited feature does not update until NXOpen::Update::DoUpdate is explicitly called. If the option is false, then the edited feature updates immediately. The default is false.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
optionoption
void NXOpen::Preferences::SessionModeling::SetUpdateFailureReportPreference ( bool  updateFailureReport)

Sets the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle.

If the option is true then the update failure report will be launched at the end of every update cycle. It will list only those features that failed in that update cycle. If the option is false then no such report will be launched.
Created in NX5.0.0.

License requirements : None

Parameters
updateFailureReportupdate failure report preference
void NXOpen::Preferences::SessionModeling::SetUpdatePending ( bool  option)

Sets the update pending option.

If the option only works when update delayed option is true, if the option is true, there is an edited feature to be updated till NXOpen::Update::DoUpdate is explicitly called. If the option is false, there is not an edited feature to be updated. The default is false.
Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
optionoption
void NXOpen::Preferences::SessionModeling::SetUseTriangularMesh ( bool  use)

Sets the use triangular mesh setting setting.


Created in NX4.0.0.

License requirements : None

Parameters
useuse
NXOpen::Preferences::SessionModeling::ShareGeometriesOnSaveType NXOpen::Preferences::SessionModeling::ShareGeometriesOption ( )

Returns the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not
Created in NX8.5.0.



License requirements : None

bool NXOpen::Preferences::SessionModeling::ShowSimuationUiInModeling ( )

Returns the option to specify whether simulation specific UI should show up in modeling
Created in NX7.5.0.



License requirements : None

NXOpen::Preferences::SessionModeling::SketchDefaultActionType NXOpen::Preferences::SessionModeling::SketchDefaultAction ( )

Returns the sketch default action
Created in NX7.5.0.



License requirements : None

NXOpen::Preferences::SessionModeling::SketchEditType NXOpen::Preferences::SessionModeling::SketchEditOption ( )

Returns the option that determines whether or not task environment is used to edit the sketch
Created in NX7.5.0.



License requirements : None

NXOpen::Preferences::SessionModeling::SplineDefaultActionTypes NXOpen::Preferences::SessionModeling::SplineDefaultActionType ( )

Returns the value indicating the default action for a spline.


Created in NX7.0.0.

License requirements : None

NXOpen::Preferences::SessionModeling::SurfaceExtensionOption NXOpen::Preferences::SessionModeling::SurfaceExtension ( )

Returns the surface extension option.

Controls how surfaces will be extended while moving geometry
Created in NX9.0.0.

License requirements : None

tag_t NXOpen::Preferences::SessionModeling::Tag ( ) const

Returns the tag of this object.

int NXOpen::Preferences::SessionModeling::TangentColor ( )

Returns the tangent color
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::SessionModeling::TreatOneDegreeBsplineAsPolyline ( )

Returns the option to treat single degree bspline as polyline
Created in NX10.0.0.



License requirements : None

bool NXOpen::Preferences::SessionModeling::UpdateDelayed ( )

Returns the update delayed option.

If the option is true, then an edited feature does not update until NXOpen::Update::DoUpdate is explicitly called. If the option is false, then the edited feature updates immediately. The default is false.
Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

bool NXOpen::Preferences::SessionModeling::UpdateFailureReportPreference ( )

Returns the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle.

If the option is true then the update failure report will be launched at the end of every update cycle. It will list only those features that failed in that update cycle. If the option is false then no such report will be launched.
Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SessionModeling::UpdatePending ( )

Returns the update pending option.

If the option only works when update delayed option is true, if the option is true, there is an edited feature to be updated till NXOpen::Update::DoUpdate is explicitly called. If the option is false, there is not an edited feature to be updated. The default is false.
Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

bool NXOpen::Preferences::SessionModeling::UseTriangularMesh ( )

Returns the use triangular mesh setting setting.


Created in NX4.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.